#include "mainwindow.h"
#include "ui_mainwindow.h"
#include "ui_help.h"

MainWindow::MainWindow(QWidget *parent)
    : QMainWindow(parent), ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_lineEdit_L_textChanged(QString /* s */)
{
    recompute();
}

void MainWindow::on_lineEdit_H_textChanged(QString /* s */)
{
    recompute();
}

void MainWindow::recompute()
{
    float l,h,r;
    bool ok;

    l=ui->lineEdit_L->text().toFloat(&ok);
    if (!ok)
    {
	if (ui->lineEdit_L->text().size())
	{
	    ui->label_Result->setText("L n'est pas un nombre valide");
	}
	return;
    }
    h=ui->lineEdit_H->text().toFloat(&ok);
    if (!ok)
    {
	if (ui->lineEdit_H->text().size())
	{
	    ui->label_Result->setText("H n'est pas un nombre valide");
	}
	return;
    }
    if (h==0)
	{
	    ui->label_Result->setText("H ne doit pas être nul");
	    return;
	}
    l=l/2;
    r=(l*l+h*h)/(2*h);
    QString res;
    res.setNum(r,'g');
    ui->label_Result->setText(res);
}

void MainWindow::on_explain_clicked()
{
    /* qDebug("explain"); */
    Ui::myhelp h;
    QDialog d;
    h.setupUi(&d);
    d.exec();
}
